Public Member Functions | Public Attributes | Friends | List of all members
MindWrtParserInternal::LineInfo Struct Reference

Internal: a line information of a MindWrtParser. More...

## Public Member Functions
| LineInfo ()

## Public Attributes
MWAWEntry | m_entry
| the main entry More...
int | m_type
| the entry type More...
int | m_height
| the height More...
int | m_y
| the y pos More...
int | m_page
| the page number More...
MWAWParagraph | m_paragraph
| the paragraph More...
bool | m_specialHeadingInterface
| true if the paragraph More...
bool | m_paragraphSet
| true if the paragraph is reset More...
int | m_listLevel
| the item level More...
int | m_listType
| the item type More...
int | m_flags [4]
| two flags More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, LineInfo const &line)
| operator<< More...

## Detailed Description

Internal: a line information of a MindWrtParser.

## Constructor & Destructor Documentation

## ◆ LineInfo()

MindWrtParserInternal::LineInfo::LineInfo | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | LineInfo const & | line
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_entry

MWAWEntry MindWrtParserInternal::LineInfo::m_entry

the main entry

Referenced by MindWrtParser::readCompressedText(), MindWrtParser::readGraphic(), MindWrtParser::readLinesInfo(), MindWrtParser::readRuler(), MindWrtParser::readText(), MindWrtParser::sendZone(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_extra

std::string MindWrtParserInternal::LineInfo::m_extra

extra data

Referenced by MindWrtParser::readLinesInfo().

## ◆ m_flags

int MindWrtParserInternal::LineInfo::m_flags[4]

two flags

Referenced by MindWrtParser::readLinesInfo(), MindWrtParser::readRuler(), MindWrtParser::sendZone(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_height

int MindWrtParserInternal::LineInfo::m_height

the height

Referenced by MindWrtParser::readLinesInfo(), MindWrtParser::sendZone(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_listLevel

int MindWrtParserInternal::LineInfo::m_listLevel

the item level

Referenced by MindWrtParser::readCompressedText(), MindWrtParser::readLinesInfo(), MindWrtParser::readText(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_listType

int MindWrtParserInternal::LineInfo::m_listType

the item type

Referenced by MindWrtParser::readCompressedText(), MindWrtParser::readLinesInfo(), MindWrtParser::readText(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_page

int MindWrtParserInternal::LineInfo::m_page

the page number

Referenced by MindWrtParser::createDocument(), MindWrtParser::readLinesInfo(), and MindWrtParser::sendZone().

## ◆ m_paragraph

MWAWParagraph MindWrtParserInternal::LineInfo::m_paragraph

the paragraph

Referenced by MindWrtParser::readLinesInfo(), MindWrtParser::readRuler(), MindWrtParser::sendZone(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_paragraphSet

bool MindWrtParserInternal::LineInfo::m_paragraphSet

true if the paragraph is reset

Referenced by MindWrtParser::readRuler(), and MindWrtParser::sendZone().

## ◆ m_specialHeadingInterface

bool MindWrtParserInternal::LineInfo::m_specialHeadingInterface

true if the paragraph

Referenced by MindWrtParser::readLinesInfo(), MindWrtParser::readRuler(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_type

int MindWrtParserInternal::LineInfo::m_type

the entry type

Referenced by MindWrtParser::createDocument(), MindWrtParser::readLinesInfo(), MindWrtParser::sendZone(), and MindWrtParserInternal::ZoneInfo::updateListId().

## ◆ m_y

int MindWrtParserInternal::LineInfo::m_y

the y pos

Referenced by MindWrtParser::readLinesInfo().

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx